Bug 251576 - duplicate message spew
duplicate message spew
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 16:43 EDT by Roland McGrath
Modified: 2014-01-21 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 09:01:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shell transcript (4.83 KB, text/plain)
2007-08-27 17:04 EDT, Roland McGrath
no flags Details

  None (edit)
Description Roland McGrath 2007-08-09 16:43:53 EDT
yum-3.2.2-3.fc8

Using "yum upgrade", after the list is presented and y/n confirmation prompt,
yum shows all the "---> Package .... to be updated" messages a second time.
Comment 1 Seth Vidal 2007-08-11 03:21:50 EDT
fixed in upstream devel
Comment 2 Fedora Update System 2007-08-24 01:34:25 EDT
yum-3.2.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Roland McGrath 2007-08-27 16:48:58 EDT
"Running rpm_check_debug" is still printed, but the duplicate messages are gone.
It now prints things like:

ts_done name in te is wine should be wine-jack
Comment 4 Seth Vidal 2007-08-27 16:56:15 EDT
can you send me the output when you get the above messages and the yum.log of
that transaction?
Comment 5 Roland McGrath 2007-08-27 17:04:58 EDT
Created attachment 174381 [details]
shell transcript

Apparently relevant portion of /var/log/yum.log:

Aug 27 13:48:01 Updated: wine-core - 0.9.43-2.fc7.i386
Aug 27 13:48:02 Updated: wine-cms - 0.9.43-2.fc7.i386
Aug 27 13:48:03 Updated: wine-tools - 0.9.43-2.fc7.i386
Aug 27 13:48:04 Updated: wine-capi - 0.9.43-2.fc7.i386
Aug 27 13:48:05 Updated: wine-esd - 0.9.43-2.fc7.i386
Aug 27 13:48:05 Updated: wine-nas - 0.9.43-2.fc7.i386
Aug 27 13:48:06 Updated: wine-twain - 0.9.43-2.fc7.i386
Aug 27 13:48:06 Updated: wine-jack - 0.9.43-2.fc7.i386
Aug 27 13:48:07 Updated: wine-ldap - 0.9.43-2.fc7.i386
Aug 27 13:48:13 Updated: wine-devel - 0.9.43-2.fc7.i386
Aug 27 13:48:13 Updated: wine - 0.9.43-2.fc7.i386
Aug 27 13:48:13 Updated: wine-docs - 0.9.43-1.fc7.noarch
Comment 6 Seth Vidal 2007-08-27 18:04:47 EDT
 cat transaction-all*
install 0:wine-core-0.9.44-1.fc8.i386
install 0:wine-twain-0.9.44-1.fc8.i386
install 0:wine-tools-0.9.44-1.fc8.i386
install 0:wine-jack-0.9.44-1.fc8.i386
install 0:wine-capi-0.9.44-1.fc8.i386
install 0:wine-ldap-0.9.44-1.fc8.i386
install 0:wine-cms-0.9.44-1.fc8.i386
install 0:wine-nas-0.9.44-1.fc8.i386
install 0:wine-esd-0.9.44-1.fc8.i386
install 0:wine-0.9.44-1.fc8.i386
erase 0:wine-core-0.9.39-1.fc7.i386
erase 0:wine-twain-0.9.39-1.fc7.i386
erase 0:wine-tools-0.9.39-1.fc7.i386
erase 0:wine-jack-0.9.39-1.fc7.i386
erase 0:wine-capi-0.9.39-1.fc7.i386
erase 0:wine-ldap-0.9.39-1.fc7.i386
erase 0:wine-0.9.39-1.fc7.i386
erase 0:wine-cms-0.9.39-1.fc7.i386
erase 0:wine-nas-0.9.39-1.fc7.i386
erase 0:wine-esd-0.9.39-1.fc7.i386


when I start seeing that message this is what is in the transaction-all file in
/var/lib/yum

and the progress output on the screen doesn't mention wine being cleaned up.

Running Transaction
  Updating  : wine-core                    ####################### [ 1/20] 
  Updating  : wine-twain                   ####################### [ 2/20] 
  Updating  : wine-tools                   ####################### [ 3/20] 
  Updating  : wine-jack                    ####################### [ 4/20] 
  Updating  : wine-capi                    ####################### [ 5/20] 
  Updating  : wine-ldap                    ####################### [ 6/20] 
  Updating  : wine-cms                     ####################### [ 7/20] 
  Updating  : wine-nas                     ####################### [ 8/20] 
  Updating  : wine-esd                     ####################### [ 9/20] 
  Updating  : wine                         ####################### [10/20] 
  Cleanup   : wine-core                    ####################### [11/20] 
  Cleanup   : wine-twain                   ####################### [12/20] 
  Cleanup   : wine-tools                   ####################### [13/20] 
  Cleanup   : wine-jack                    ####################### [14/20] 
  Cleanup   : wine-capi                    ####################### [15/20] 
  Cleanup   : wine-ldap                    ####################### [16/20] 
  Cleanup   : wine-cms                     ####################### [17/20] 
ts_done name in te is wine should be wine-cms
  Cleanup   : wine-nas                     ####################### [18/20] 
ts_done name in te is wine-cms should be wine-nas
  Cleanup   : wine-esd                     ####################### [19/20] 
ts_done name in te is wine-nas should be wine-esd




according to the transaction-all the next step before wine-cms is cleaned up is
wine should be cleaned up. So something else is happening inside the transaction.

I'm going to see if I can revert this set of pkgs and test some more.
Comment 7 Seth Vidal 2007-08-27 18:10:43 EDT
and also worth noting - no 20/20 in that transaction call back.

:)

Comment 8 Seth Vidal 2007-08-27 18:24:07 EDT
okie doke - so far I can only make this happen for these pkgs. The fun part is this.

when I setup the transaction to gather the transaction elements it is not the
same as the transaction that runs, according to rpm. Asking panu to comment b/c
while this might be a side effect of the callback changes to see the output like
this I don't think this is actually a bug in yum. not yet ,at least.

I could be persuaded though :)
Comment 9 Panu Matilainen 2007-08-28 01:31:17 EDT
Just a wild guess but strange behavior with the "wine" package might have to do
with the fact that it's a metapackage with no files at all. If that's the case
then it should be reproducable with "git" metapackage as well.
Comment 10 Seth Vidal 2007-08-28 01:54:47 EDT
If rpm notices that a package has no files to remove, will it not perform the
callback for the cleanup? It seems like it should do the callback no matter
what, shouldn't it?
Comment 11 Panu Matilainen 2007-08-28 03:06:49 EDT
I was just making noises while looking through the sources to refresh my memory ;)

The progress callbacks are normally called based on file information. For
packages without any files the callback is "emulated" on install, but not on
erase at the moment. That should be filed as a new bug, this is getting mixed up
with all sorts of issues...
Comment 12 Seth Vidal 2007-08-28 09:01:39 EDT
okay, I filed that bug. And I'm going to close this one b/c it's muddled and the
original issue is resolved.

Note You need to log in before you can comment on or make changes to this bug.